{"openapi":"3.0.4","info":{"title":"[EARLY ACCESS] Upsert virtual transaction overrides and suppressions","description":"Creates or updates overrides and suppressions of virtual transactions generated by a single instrument\r\nevent. Overrides and suppressions are each keyed by the virtual transaction id they target. This is a\r\nfull replace of the previously stored overrides and suppressions for the targeted instrument event -\r\nany previously stored entry not present in this request is removed.\r\nCalling this endpoint again with the same virtual transaction id will replace the existing override or\r\nsuppression in place.","version":"0.0.1"},"servers":[{"url":"https://fbn-prd.lusid.com/api"}],"paths":{"/api/transactionportfolios/{scope}/{code}/overridevirtualtransactions":{"post":{"tags":["Transaction Portfolios"],"summary":"[EARLY ACCESS] Upsert virtual transaction overrides and suppressions","description":"Creates or updates overrides and suppressions of virtual transactions generated by a single instrument\r\nevent. Overrides and suppressions are each keyed by the virtual transaction id they target. This is a\r\nfull replace of the previously stored overrides and suppressions for the targeted instrument event -\r\nany previously stored entry not present in this request is removed.\r\nCalling this endpoint again with the same virtual transaction id will replace the existing override or\r\nsuppression in place.","operationId":"UpsertVirtualTransactionOverride","parameters":[{"name":"scope","in":"path","description":"The scope of the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"code","in":"path","description":"The code of the transaction portfolio. Together with the scope this uniquely identifies\r\n            the transaction portfolio.","required":true,"schema":{"maxLength":64,"minLength":1,"pattern":"^[a-zA-Z0-9\\-_]+$","type":"string"}},{"name":"instrumentEventId","in":"query","description":"The ID of the instrument event whose virtual transactions should be overridden or suppressed.","required":true,"schema":{"maxLength":256,"minLength":1,"pattern":"^[^\\\\<>&\\\"]+$","type":"string"}},{"name":"portfolioEffectiveAt","in":"query","description":"The effective datetime used to resolve the portfolio. Defaults to the current LUSID system datetime if not specified.","schema":{"type":"string"}},{"name":"preserveProperties","in":"query","description":"If set to false, the entire property set of an updated override entry will be overwritten by the provided properties. If not specified or set to true, only the properties provided will be updated.","schema":{"type":"boolean","default":true},"x-nullable":true}],"requestBody":{"description":"The overrides and suppressions to upsert, keyed by the virtual transaction id being overridden or suppressed.","content":{"application/json-patch+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/OverrideVirtualTransactionsRequest"},"example":{"overrides":{"LUID_00000000_BondCouponEvent_20200701-holding001":[{"transactionId":"Override-001","type":"StockIn","instrumentIdentifiers":{"Instrument/default/Figi":"BBG000C6K6G9","Instrument/default/Isin":"GB00BH4HKS39"},"tradeDate":"2020-07-01T00:00:00.0000000+00:00","settlementDate":"2020-07-03T00:00:00.0000000+00:00","units":1000,"tradePrice":{"price":123,"type":"Price"},"totalConsideration":{"amount":123000,"currency":"GBP"},"tradeCurrency":"GBP","counterpartyId":"CounterpartyId-118263","source":""}]},"suppressions":["LUID_00000000_BondCouponEvent_20200701-holding002"],"adjustments":{"LUID_00000000_BondCouponEvent_20200701-holding003":{"settlementDate":"2020-07-08T00:00:00.0000000+00:00"}}}},"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/OverrideVirtualTransactionsRequest"},"example":{"overrides":{"LUID_00000000_BondCouponEvent_20200701-holding001":[{"transactionId":"Override-001","type":"StockIn","instrumentIdentifiers":{"Instrument/default/Figi":"BBG000C6K6G9","Instrument/default/Isin":"GB00BH4HKS39"},"tradeDate":"2020-07-01T00:00:00.0000000+00:00","settlementDate":"2020-07-03T00:00:00.0000000+00:00","units":1000,"tradePrice":{"price":123,"type":"Price"},"totalConsideration":{"amount":123000,"currency":"GBP"},"tradeCurrency":"GBP","counterpartyId":"CounterpartyId-118263","source":""}]},"suppressions":["LUID_00000000_BondCouponEvent_20200701-holding002"],"adjustments":{"LUID_00000000_BondCouponEvent_20200701-holding003":{"settlementDate":"2020-07-08T00:00:00.0000000+00:00"}}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/OverrideVirtualTransactionsRequest"},"example":{"overrides":{"LUID_00000000_BondCouponEvent_20200701-holding001":[{"transactionId":"Override-001","type":"StockIn","instrumentIdentifiers":{"Instrument/default/Figi":"BBG000C6K6G9","Instrument/default/Isin":"GB00BH4HKS39"},"tradeDate":"2020-07-01T00:00:00.0000000+00:00","settlementDate":"2020-07-03T00:00:00.0000000+00:00","units":1000,"tradePrice":{"price":123,"type":"Price"},"totalConsideration":{"amount":123000,"currency":"GBP"},"tradeCurrency":"GBP","counterpartyId":"CounterpartyId-118263","source":""}]},"suppressions":["LUID_00000000_BondCouponEvent_20200701-holding002"],"adjustments":{"LUID_00000000_BondCouponEvent_20200701-holding003":{"settlementDate":"2020-07-08T00:00:00.0000000+00:00"}}}},"application/*+json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/OverrideVirtualTransactionsRequest"},"example":{"overrides":{"LUID_00000000_BondCouponEvent_20200701-holding001":[{"transactionId":"Override-001","type":"StockIn","instrumentIdentifiers":{"Instrument/default/Figi":"BBG000C6K6G9","Instrument/default/Isin":"GB00BH4HKS39"},"tradeDate":"2020-07-01T00:00:00.0000000+00:00","settlementDate":"2020-07-03T00:00:00.0000000+00:00","units":1000,"tradePrice":{"price":123,"type":"Price"},"totalConsideration":{"amount":123000,"currency":"GBP"},"tradeCurrency":"GBP","counterpartyId":"CounterpartyId-118263","source":""}]},"suppressions":["LUID_00000000_BondCouponEvent_20200701-holding002"],"adjustments":{"LUID_00000000_BondCouponEvent_20200701-holding003":{"settlementDate":"2020-07-08T00:00:00.0000000+00:00"}}}}},"required":true},"responses":{"200":{"description":"The result of the upsert including the persisted overrides, suppressions, and instrument event details","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertVirtualTransactionOverrideResponse"},"example":{"version":{"effectiveFrom":"2018-03-05T11:32:15.0000000+00:00","asAtDate":"2022-03-05T10:09:01.0000000+00:00"},"metadata":{"warnings":[{"type":"TransactionTypesNotFound","description":"No transaction types could be found for the listed transactions","identifierType":"TransactionId","identifiers":["Transaction-001","Transaction-123"]}]},"instrumentEventId":"LUID_00000000_BondCouponEvent_20200701","overrides":{},"suppressions":["LUID_00000000_BondCouponEvent_20200701-holding002"],"adjustments":{"LUID_00000000_BondCouponEvent_20200701-holding003":{"settlementDate":"2020-07-08T00:00:00.0000000+00:00"}}}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertVirtualTransactionOverrideResponse"},"example":{"version":{"effectiveFrom":"2018-03-05T11:32:15.0000000+00:00","asAtDate":"2022-03-05T10:09:01.0000000+00:00"},"metadata":{"warnings":[{"type":"TransactionTypesNotFound","description":"No transaction types could be found for the listed transactions","identifierType":"TransactionId","identifiers":["Transaction-001","Transaction-123"]}]},"instrumentEventId":"LUID_00000000_BondCouponEvent_20200701","overrides":{},"suppressions":["LUID_00000000_BondCouponEvent_20200701-holding002"],"adjustments":{"LUID_00000000_BondCouponEvent_20200701-holding003":{"settlementDate":"2020-07-08T00:00:00.0000000+00:00"}}}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/UpsertVirtualTransactionOverrideResponse"},"example":{"version":{"effectiveFrom":"2018-03-05T11:32:15.0000000+00:00","asAtDate":"2022-03-05T10:09:01.0000000+00:00"},"metadata":{"warnings":[{"type":"TransactionTypesNotFound","description":"No transaction types could be found for the listed transactions","identifierType":"TransactionId","identifiers":["Transaction-001","Transaction-123"]}]},"instrumentEventId":"LUID_00000000_BondCouponEvent_20200701","overrides":{},"suppressions":["LUID_00000000_BondCouponEvent_20200701-holding002"],"adjustments":{"LUID_00000000_BondCouponEvent_20200701-holding003":{"settlementDate":"2020-07-08T00:00:00.0000000+00:00"}}}}}},"400":{"description":"The details of the input related failure","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/plain":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}},"text/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidValidationProblemDetails"}}}},"default":{"description":"Error response","content":{"application/json":{"schema":{"$ref":"/docs/api/lusid/schemas.json#/components/schemas/LusidProblemDetails"}}}}},"security":[{"BearerAuth":[]}],"x-fbn-apistatus":"EarlyAccess"}}},"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}}}}